unit URegData;
{
	========================================================================

	Modulo:	URegData		Tasko:	Disponigo de parametroj el la registrejo

    ========================================================================

    Funkcio:	Tiu chi modulo disponigas la parametrojn el la registrejo
    			en objekto de la klaso TEKData. La valoroj estas legataj el
                la registrejo en la konstruilo.

    ========================================================================
    Dato		Autoro			Modifo
    ========================================================================
    99.01.01	Jury Finkel		Prapretigo
    99.10.14	Simon Payne		Objektemigita rilate la legadon de la
    							registrejo. Nun aparta modulo UEKData
    ========================================================================
}


interface

uses
  Windows,
  SysUtils,
  Registry;

type

    TRegData = class(TObject)
    private
        _tEKla: THandle;
        _tIKla: THandle;
        _iMK_1: integer;
        _iMK_2: integer;
        _bAuto: boolean;
        _bVidebla: boolean;
        _bNT: boolean;
    	procedure ReadIni;
	public
        constructor Create;
        property tEKla: THandle Read _tEKla;
        property tIKla: THandle Read _tIKla;
        property iMK_1: integer Read _iMK_1;
        property iMK_2: integer Read _iMK_2;
        property bAuto: boolean Read _bAuto;
        property bVidebla: boolean Read _bVidebla;
        property bNT: boolean Read _bNT;
    end;

implementation

constructor TRegData.Create;
begin
	ReadIni;
end;

procedure TRegData.ReadIni;
var
    loIni: TRegIniFile;
begin
    loIni:=TRegIniFile.Create('Software');
    with loIni do
    begin
        _tEkla:=ReadInteger('EK', 'Ekla', 0);
        _tIKla:=ReadInteger('EK', 'Ikla', 0);
        _iMK_1:=ReadInteger('EK', 'MK_1', 41);
        _iMK_2:=ReadInteger('EK', 'MK_2', 43);
        _bAuto:=ReadBool('EK', 'Auto', True);
        _bVidebla:=ReadBool('EK','Videbla',False);
        _bNT:=ReadBool('EK','NT',False);
    end;
    loIni.Free;
end;

end.
